Loading...
Searching...
No Matches
rotator.c File Reference
Rotator API

Rotator interface. More...

`#include <hamlib/config.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <stdio.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <hamlib/rotator.h>`
`#include "serial.h"`
`#include "parallel.h"`
`#include "network.h"`
`#include "rot_conf.h"`
`#include "token.h"`
Include dependency graph for rotator.c:

## Functions

int | foreach_opened_rot (int(*cfunc)(ROT *, rig_ptr_t), rig_ptr_t data)
| Executes cfunc on each opened ROT.
ROT * | rot_init (rot_model_t rot_model)
| Allocate a new ROT handle.
int | rot_open (ROT *rot)
| Open the communication channel to the rotator.
int | rot_close (ROT *rot)
| Close the communication channel to the rotator.
int | rot_cleanup (ROT *rot)
| Release a ROT handle and free associated memory.
int | rot_set_position (ROT *rot, azimuth_t azimuth, elevation_t elevation)
| Set the azimuth and elevation of the rotator.
int | rot_get_position (ROT *rot, azimuth_t *azimuth, elevation_t *elevation)
| Query the azimuth and elevation of the rotator.
int | rot_park (ROT *rot)
| Park the rotator.
int | rot_stop (ROT *rot)
| Stop the rotator.
int | rot_reset (ROT *rot, rot_reset_t reset)
| Reset the rotator.
int | rot_move (ROT *rot, int direction, int speed)
| Move the rotator in the specified direction and speed.
const char * | rot_get_info (ROT *rot)
| Get general information from the rotator.
int | rot_get_status (ROT *rot, rot_status_t *status)
| Query status flags of the rotator.
void * | rot_data_pointer (ROT *rot, rig_ptrx_t idx)
| Get the address of rotator data structure(s).

## Detailed Description

Rotator interface.

Author
  Frank Singleton

Date
  2000-2003

Author
  Stephane Fillod

Date
  2000-2012

This Hamlib interface is a frontend implementing the rotator wrapper functions.